package com.salpa.model.mapper;

import com.salpa.model.domain.ProjectModelInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author zhuff
 */
@Mapper
public interface ModelMapper {

    String getProjectIds(Long userId);

    List<ProjectModelInfo> getList(@Param("list") List<String> list,@Param("projectName") String projectName);

    int checkProjectNameUnique(String projectName);

    int addProject(ProjectModelInfo projectModelInfo);

    void updateProjectIds(@Param("projectIds") String projectIds, @Param("userId") Long userId);

    int deleteProject(Integer projectId);

    int updateProject(ProjectModelInfo projectModelInfo);

    ProjectModelInfo getById(Integer projectId);

    List<Map<String, Object>> getUserList();

    int updateJsonFile(ProjectModelInfo projectModelInfo);

    void addProjectIds(@Param("projectIds") String projectIds, @Param("userId") Long userId);
}
